This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988967 - [RFE] Identify virtual to physical host relationships for subscribed systems
[RFE] Identify virtual to physical host relationships for subscribed systems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Tom McKay
Tazim Kolhar
: FutureFeature, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-07-26 15:39 EDT by Andrew Blum
Modified: 2014-07-02 10:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:06:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Blum 2013-07-26 15:39:41 EDT
Description of problem:

It should be eaiser to identify physical and virtual systems and hierarchy of host to guest from within Satellite WebUI.

Version-Release number of selected component (if applicable):

Satellite 6


Steps to reproduce:

register and subscribe host and guest systems to a satellite management system
 

Acctual results:

To determine which system is physical and which is a virtual machine, one must drill down into the system details, one system at a time.  There is no virtual to host mapping that is made either making managment of a virtual environment tedious.


Expected results:

Use an icon next to each subscribed system in the satellite WebUI similar to what is used in the Portal (ghost computer icon for VMs).  Group guests with the host they are running on.


Additional info:
Comment 1 Tom McKay 2013-07-26 16:09:21 EDT
There is a new UI component coming that will help address just this problem. First, rather than the narrow list on the left, it will be a full-width table. This will allow more columns (and sortable). After that a feature will be added where rows in the table can be expandable to show, for example, a physical systems guests.

Thanks for the feedback!
Comment 2 Tom McKay 2013-07-26 16:24:56 EDT
Shorter term we could add the host/guest info the elasticsearch so at least there would be a way to filter what systems are shown.
Comment 3 Tom McKay 2013-07-31 11:28:45 EDT
katello nightly now has search by host/guest in systems

https://github.com/Katello/katello/pull/2702

Entering "host:system1" in systems search field will return all registered virtual guests on system1. Entering "guests:vm1" will return the host that has a guest named vm1.

Further organizing systems by collapsing rows, etc. remains to be done.
Comment 6 Tazim Kolhar 2014-06-17 06:16:30 EDT
Please provide verification steps
Comment 7 Tazim Kolhar 2014-06-27 11:01:58 EDT
VERIFIED
Comment 8 Bryan Kearney 2014-07-02 10:06:32 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.